Skip to main content
PATCH
/
projects
/
{project_id}
/
users
/
{permission_id}
Update user permissions
import requests

url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/users/{permission_id}/"

payload = { "permissions": ["CAN_VIEW_DATA", "CAN_PERFORM_ADMIN_ACTIONS"] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "date_joined": "2023-11-07T05:31:56Z"
  },
  "permissions": [
    "CAN_PERFORM_ADMIN_ACTIONS"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.clarifeye.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Path Parameters

project_id
string<uuid>
required

UUID of the project

permission_id
string<uuid>
required

UUID of the permission record

Body

application/json
permissions
enum<string>[]
required
  • CAN_PERFORM_ADMIN_ACTIONS: Full administrative access
  • CAN_VIEW_DATA: Read-only access to project data
  • CAN_RUN_TASKS: Execute background tasks and pipelines
  • CAN_VIEW_TECHNICAL_INTERFACE: Access to technical features
  • CAN_IMPERSONATE_OTHER_USERS: Impersonate other users in API calls (contact Clarifeye to enable)
Available options:
CAN_PERFORM_ADMIN_ACTIONS,
CAN_VIEW_DATA,
CAN_RUN_TASKS,
CAN_VIEW_TECHNICAL_INTERFACE,
CAN_IMPERSONATE_OTHER_USERS
Example:
[
"CAN_VIEW_DATA",
"CAN_PERFORM_ADMIN_ACTIONS"
]

Response

Permissions updated successfully

id
string<uuid>
user
object
permissions
enum<string>[]
  • CAN_PERFORM_ADMIN_ACTIONS: Full administrative access
  • CAN_VIEW_DATA: Read-only access to project data
  • CAN_RUN_TASKS: Execute background tasks and pipelines
  • CAN_VIEW_TECHNICAL_INTERFACE: Access to technical features
  • CAN_IMPERSONATE_OTHER_USERS: Impersonate other users in API calls (contact Clarifeye to enable)
Available options:
CAN_PERFORM_ADMIN_ACTIONS,
CAN_VIEW_DATA,
CAN_RUN_TASKS,
CAN_VIEW_TECHNICAL_INTERFACE,
CAN_IMPERSONATE_OTHER_USERS